<include file="public@header" />
<style type="text/css">
	.img_format{
		width: 100px;
		margin-bottom: 5px;
	}
	.red_tip{
		color: #F00;
	}
</style>
<script src="__STATIC__/xigua/xgplayer.js?t=1574906138" type="text/javascript"></script>
<script src="__STATIC__/xigua/xgplayer-flv.js.js" type="text/javascript"></script>
<script src="__STATIC__/xigua/xgplayer-hls.js.js" type="text/javascript"></script>
<script src="__STATIC__/xigua/player.js" type="text/javascript"></script>

</head>
<body>
	<div class="wrap js-check-wrap">
		<ul class="nav nav-tabs">
			<li class="active"><a >{:lang('PRODUCT_VIEW_LIST')}</a></li>

		</ul>
		<form class="well form-inline margin-top-20" method="post" action="{:url('Shopgoods/commentlist')}">
            
			{:lang('SUBMISSION_TIME')}: 
			<input class="form-control js-bootstrap-date" name="start_time" id="start_time" value="{:input('request.start_time')}" aria-invalid="false" style="width: 110px;"> - 
            <input class="form-control js-bootstrap-date" name="end_time" id="end_time" value="{:input('request.end_time')}" aria-invalid="false" style="width: 110px;">
			
            {:lang('COMMENT_CONTENT')}:  
            <input class="form-control" type="text" name="keyword" style="width: 200px;" value="{:input('request.keyword')}"
                   placeholder="{:lang('PLEASE_ENTER_COMMENT_CONTENT_KEYWORD')}">
            <input type="hidden" name="goods_id" value="{$goods_id}">
			<input type="submit" class="btn btn-primary" value="{:lang('SEARCH')}">
			<a class="btn btn-danger" href="{:url('Shopgoods/commentlist',array('goods_id'=>$goods_id))}">{:lang('CLEAR')}</a>
		</form>				
		<form method="post" class="js-ajax-form" >
			<div class="table-actions">
                <!-- <button class="btn btn-danger btn-sm js-ajax-submit" type="submit" data-action="{:url('Shopgoods/del')}"
                        data-subcheck="true">批量删除
                </button> -->

                <!-- <p class="help-block" style="font-weight: bold;">{:lang('BULK_OPERATIONS_PLEASE_BE_CAUTIOUS')}</p> -->
            </div>
			<table class="table table-hover table-bordered">
				<thead>
					<tr>
						
						<th>ID</th>
						<th>{:lang('BUYER_USER_INFORMATION')}</th>
						<th>{:lang('ORDER_ID')}</th>
						<th>{:lang('SELLER_USER_INFORMATION')}</th>
						<th>{:lang('ANONYMOUS')}</th>
						<th>{:lang('COMMENT_CONTENT')}</th>
						<th>{:lang('COMMENT_VIDEO')}</th>
						<th>{:lang('COMMENT_GALLERY')}</th>
						<th>{:lang('PRODUCT_QUALITY_RATING')}</th>
						<th>{:lang('CUSTOMER_SERVICE_RATING')}</th>
						<th>{:lang('SHIPPING_SPEED_RATING')}</th>
						<th>{:lang('COMMENT_TIME')}</th>
						<th>{:lang('ACTIONS')}</th>
					</tr>
				</thead>
				<tbody>
					<foreach name="lists" item="vo">
					<tr>
						
						<td>{$vo.id}</td>
						<td>{$vo['userinfo']['user_nickname']} ({$vo.uid}) </td>
						<td>{$vo['orderid']}</td>
						<td>{$vo['shop_userinfo']['user_nickname']} ({$vo.shop_uid}) </td>
						<td><if condition="$vo['is_anonym'] eq '1'">{:lang('YES')}<else />{:lang('NO')}</if></td>
						<td style="max-width: 300px;">{$vo['content']}</td>
						<td style="width: 80px;">
							<if condition="$vo['video_url'] neq ''">
								<a href="javascript:void(0);" class="videoPlay" data-url="{$vo['video_url']}" >{:lang('WATCH_THE_VIDEO')}</a>
							<else />--</if>
						</td>
						<td>
							<foreach name="$vo['thumb_arr']" id="vl">
								<img src="{$vl}" class="imgtip img_format" />
							</foreach>
						</td>
						<td>{$vo['quality_points']}</td>
						<td>{$vo['service_points']}</td>
						<td>{$vo['express_points']}</td>
						<td>{:date('Y-m-d H:i:s',$vo['addtime'])}</td>
						<td>
							
                            
                            <a class="btn btn-xs btn-danger js-ajax-delete" href="{:url('Shopgoods/delComment',array('id'=>$vo['id']))}">{:lang('DELETE')}</a>
						</td>
					</tr>


					<notempty name="$vo['append_comment']">

						<tr>
						
							<td>{$vo['append_comment']['id']}<br /><span class="red_tip">({:lang('FOLLOW_UP_COMMENT')})</span></td>
							<td>{$vo['append_comment']['userinfo']['user_nickname']} ({$vo['append_comment']['uid']}) </td>
							<td>{$vo['append_comment']['orderid']}</td>
							<td>{$vo['append_comment']['shop_userinfo']['user_nickname']} ({$vo['append_comment']['shop_uid']}) </td>
							<td><if condition="$vo['is_anonym'] eq '1'">{:lang('YES')}<else />{:lang('NO')}</if></td>
							<td style="max-width: 300px;">{$vo['append_comment']['content']}</td>
							

							<td>
								<if condition="$vo['append_comment']['video_url'] neq ''"><a href="javascript:void(0);" class="videoPlay" data-url="{$vo['append_comment']['video_url']}" >{:lang('WATCH_THE_VIDEO')}</a><else />--</if>
							</td>
							<td>
								<foreach name="$vo['append_comment']['thumb_arr']" id="va">
									<img src="{$va}" class="imgtip img_format" />
								</foreach>
							</td>
							<td>--</td>
							<td>--</td>
							<td>--</td>
							<td>{:date('Y-m-d H:i:s',$vo['append_comment']['addtime'])}</td>
							<td>
								
	                            
	                            <a class="btn btn-xs btn-danger js-ajax-delete" href="{:url('Shopgoods/delComment',array('id'=>$vo['append_comment']['id']))}">{:lang('DELETE')}</a>
							</td>
						</tr>

					</notempty>





					</foreach>
				</tbody>
			</table>
			<div class="table-actions">
                <!-- <button class="btn btn-danger btn-sm js-ajax-submit" type="submit" data-action="{:url('Shopgoods/del')}"
                        data-subcheck="true">批量删除
                </button> -->

                <!-- <p class="help-block" style="font-weight: bold;">{:lang('BULK_OPERATIONS_PLEASE_BE_CAUTIOUS')}</p> -->
            </div>
			<div class="pagination">{$page}</div>
		</form>
	</div>
	<script src="__STATIC__/js/admin.js"></script>
	<script type="text/javascript">
    	$(function(){
    		Wind.use('layer');

    		$(".videoPlay").click(function(){

	    		var video_url=$(this).data('url');

	    		layer.open({
				  type: 2,
				  title: '{:lang("VIDEO_PLAYBACK")}',
				  shadeClose: true,
				  shade: 0.8,
				  area: ['700px', '90%'],
				  content: '/admin/Shopgoods/videoplay?url='+video_url //iframe的url
				});

	    	});
    	});


    	
    	
    </script>
</body>
</html>